changeset 744:ae1e95df9af4

<fizzie> run cp bin/addquote bin/addquote_; sed -ie 's/echo/printf "%d) %s"/;s/") / "/' bin/addquote; cat bin/addquote
author HackBot
date Thu, 04 Oct 2012 21:20:53 +0000
parents 9869cf695ce1
children ec334223b539
files bin/addquote bin/addquote_ bin/addquotee
diffstat 3 files changed, 9 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/addquote	Thu Oct 04 21:07:26 2012 +0000
+++ b/bin/addquote	Thu Oct 04 21:20:53 2012 +0000
@@ -1,4 +1,4 @@
 #!/bin/sh
 [ "$1" ] || exit 1
 printf "%s\n" "$1" >>quotes
-echo $(qc | cut -d' ' -f1)") $1"
+printf "%d) %s" $(qc | cut -d' ' -f1) "$1"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/addquote_	Thu Oct 04 21:20:53 2012 +0000
@@ -0,0 +1,4 @@
+#!/bin/sh
+[ "$1" ] || exit 1
+printf "%s\n" "$1" >>quotes
+echo $(qc | cut -d' ' -f1)") $1"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/addquotee	Thu Oct 04 21:20:53 2012 +0000
@@ -0,0 +1,4 @@
+#!/bin/sh
+[ "$1" ] || exit 1
+printf "%s\n" "$1" >>quotes
+echo $(qc | cut -d' ' -f1)") $1"